Bug 1418932 - [abrt] dnf: _out_progress(): output.py:2015:_out_progress:OSError: [Errno 5] Input/output error
Summary: [abrt] dnf: _out_progress(): output.py:2015:_out_progress:OSError: [Errno 5] ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 26
Hardware: x86_64
OS: Unspecified
high
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d1dc9ab6af18e9ec97493b618df...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 08:03 UTC by Mikko Tiihonen
Modified: 2017-03-27 12:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-27 12:31:18 UTC
Type: ---


Attachments (Terms of Use)
File: _var_log_dnf.log (551.68 KB, text/plain)
2017-02-03 08:03 UTC, Mikko Tiihonen
no flags Details
File: backtrace (996 bytes, text/plain)
2017-02-03 08:03 UTC, Mikko Tiihonen
no flags Details
File: cgroup (276 bytes, text/plain)
2017-02-03 08:03 UTC, Mikko Tiihonen
no flags Details
File: dnf-makecache.log (151.99 KB, text/plain)
2017-02-03 08:03 UTC, Mikko Tiihonen
no flags Details
File: environ (2.74 KB, text/plain)
2017-02-03 08:03 UTC, Mikko Tiihonen
no flags Details
File: mountinfo (3.72 KB, text/plain)
2017-02-03 08:03 UTC, Mikko Tiihonen
no flags Details
File: namespaces (102 bytes, text/plain)
2017-02-03 08:03 UTC, Mikko Tiihonen
no flags Details
File: open_fds (5.43 KB, text/plain)
2017-02-03 08:03 UTC, Mikko Tiihonen
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1387857 0 unspecified CLOSED [abrt] dnf: main.py:75:main:OSError: [Errno 5] Input/output error 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1403267 0 unspecified CLOSED [abrt] dnf: output.py:2188:_out_progress:OSError: [Errno 5] Input/output error 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1411122 0 unspecified CLOSED [abrt] dnf: main.py:75:main:OSError: [Errno 5] Input/output error 2021-02-22 00:41:40 UTC

Internal Links: 1387857 1403267 1411122

Description Mikko Tiihonen 2017-02-03 08:03:25 UTC
Version-Release number of selected component:
dnf-2.0.0-2.fc26

Additional info:
reporter:       libreport-2.9.0
cmdline:        /usr/libexec/system-python /usr/bin/dnf update --exclude=gjs
crash_function: _out_progress
exception_type: OSError
executable:     /usr/bin/dnf
kernel:         4.10.0-0.rc6.git1.2.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
output.py:2015:_out_progress:OSError: [Errno 5] Input/output error

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnf/yum/rpmtrans.py", line 419, in callback
    self._instProgress(amount, total, key)
  File "/usr/lib/python3.6/site-packages/dnf/yum/rpmtrans.py", line 492, in _instProgress
    self.total_actions)
  File "/usr/lib/python3.6/site-packages/dnf/cli/output.py", line 1989, in progress
    percent, process, pkgname, wid1)
  File "/usr/lib/python3.6/site-packages/dnf/cli/output.py", line 2015, in _out_progress
    print(" ")
OSError: [Errno 5] Input/output error

Local variables in innermost frame:
msg: '  Upgrading   : kernel-headers-4.10.0-0.rc6.git2.2.fc26.x86_64            32/74'
wid2: 55
fmt: '  %s: %s   32/74'
wid1: 12
pkgname: 'kernel-headers-4.10.0-0.rc6.git2.2.fc26.x86_64'
process: 'Upgrading'
percent: 100
ts_total: 74
ts_done: 32
ti_total: 4231076
ti_done: 4231076
self: <dnf.cli.output.CliTransactionDisplay object at 0x7f80a4618780>

Comment 1 Mikko Tiihonen 2017-02-03 08:03:32 UTC
Created attachment 1247376 [details]
File: _var_log_dnf.log

Comment 2 Mikko Tiihonen 2017-02-03 08:03:34 UTC
Created attachment 1247377 [details]
File: backtrace

Comment 3 Mikko Tiihonen 2017-02-03 08:03:35 UTC
Created attachment 1247378 [details]
File: cgroup

Comment 4 Mikko Tiihonen 2017-02-03 08:03:38 UTC
Created attachment 1247379 [details]
File: dnf-makecache.log

Comment 5 Mikko Tiihonen 2017-02-03 08:03:39 UTC
Created attachment 1247380 [details]
File: environ

Comment 6 Mikko Tiihonen 2017-02-03 08:03:41 UTC
Created attachment 1247381 [details]
File: mountinfo

Comment 7 Mikko Tiihonen 2017-02-03 08:03:42 UTC
Created attachment 1247382 [details]
File: namespaces

Comment 8 Mikko Tiihonen 2017-02-03 08:03:44 UTC
Created attachment 1247383 [details]
File: open_fds

Comment 9 Honza Silhan 2017-02-06 13:05:51 UTC
This should have been fixed in DNF-2.0. We will take a look.

Comment 10 Honza Silhan 2017-02-06 13:08:30 UTC
Have you done anything special? Did you pressed ctrl+c?

Comment 11 Mikko Tiihonen 2017-02-07 06:38:16 UTC
I do not remember if I did anything special. But if I did something it must have been ctrl+c. Although I would have had no reason to abort the update that was already ongoing - especially since that update had the correct exclude that is required to keep my rawhide from exploding.

Comment 12 Fedora End Of Life 2017-02-28 11:10:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 13 Jaroslav Mracek 2017-03-27 12:31:18 UTC
The problem was probably fixed by https://github.com/rpm-software-management/dnf/pull/763 and https://github.com/rpm-software-management/dnf/pull/754. Now problems during reporting rpmcallbacks cannot terminate transaction. If you will experience the problem, please do not hesitate to reopen the bug. The patches were released in dnf-2.2.0-1.


Note You need to log in before you can comment on or make changes to this bug.